import request from '@/utils/request'

// 查询题目管理列表
export function listQuestion(query) {
  return request({
    url: '/elder/questionnaire/question/list',
    method: 'get',
    params: query
  })
}

// 查询题目管理详细
export function getQuestion(questionId) {
  return request({
    url: '/elder/questionnaire/question/' + questionId,
    method: 'get'
  })
}

// 新增题目管理
export function addQuestion(data) {
  return request({
    url: '/elder/questionnaire/question',
    method: 'post',
    data: data
  })
}

// 修改题目管理
export function updateQuestion(data) {
  return request({
    url: '/elder/questionnaire/question',
    method: 'put',
    data: data
  })
}

// 删除题目管理
export function delQuestion(questionId) {
  return request({
    url: '/elder/questionnaire/question/' + questionId,
    method: 'delete'
  })
}
